Update membership payment method
curl --request PUT \
--url https://api.creditor.younegotiate.com/membership-settings/payment-method \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jane",
"last_name": "Creditor",
"basis_theory_response": {
"id": "token_intent_123",
"type": "card",
"fingerprint": "card_fingerprint"
},
"payment_method": "cc",
"account_type": null
}
'import requests
url = "https://api.creditor.younegotiate.com/membership-settings/payment-method"
payload = {
"first_name": "Jane",
"last_name": "Creditor",
"basis_theory_response": {
"id": "token_intent_123",
"type": "card",
"fingerprint": "card_fingerprint"
},
"payment_method": "cc",
"account_type": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Creditor',
basis_theory_response: {id: 'token_intent_123', type: 'card', fingerprint: 'card_fingerprint'},
payment_method: 'cc',
account_type: null
})
};
fetch('https://api.creditor.younegotiate.com/membership-settings/payment-method', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Payment method updated successfully!",
"data": {
"id": 123,
"company_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"last_four_digit": "<string>",
"expiry": "<string>",
"payment_method": "<string>",
"account_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update membership payment method
Replace the creditor company’s membership billing payment method using a Basis Theory token intent.
PUT
/
membership-settings
/
payment-method
Update membership payment method
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on July 20, 2026
Was this page helpful?
⌘I

